import { ITrackerOptions } from "./monitor";
import { BaseError } from "../types/index";
export interface IError extends BaseError {
    msg: string | Event;
    line: number | undefined;
    column: number | undefined;
    stackTrace: string;
}
export interface IUnHandleRejectionError extends BaseError {
    msg: string;
}
export interface ICacheError {
    [errorMsg: string]: number;
}
export declare class ErrorObserver {
    _options: ITrackerOptions;
    private _cacheError;
    constructor(options: ITrackerOptions);
    init(): void;
}
